module LashaApplicationHelper
  include Pagy::Frontend

  def index_actions_link_helper(action, item, data)
    case action
    when :show
      link_to action,
              url_for([data[:namespace], item]),
              class: "btn btn-info btn-xs btn-block"
    when :edit
      link_to action,
              url_for([data[:namespace], :edit, item]),
              class: "btn btn-warning btn-xs btn-block"
    when :destroy
      link_to action,
              url_for([data[:namespace], item]),
              method: :delete,
              data: { confirm: "Are you sure you want to delete #{data[:model]}?" },
              class: "btn btn-danger btn-xs btn-block"
    end
  end

  # = lasha_pagy_helper(data[:pagy])
  def lasha_pagy_helper(pagy)
    return nil if pagy.pages.eql? 1

    render partial: "lasha/bootstrap_nav", locals: { pagy: pagy }
  end
end
